# PIP: src/console/piscreentypes.h File Reference

piscreentypes.h File Reference

Types for PIScreen. More...

## Enumerations

enum | Color { PIScreenTypes::Default, PIScreenTypes::Black, PIScreenTypes::Red, PIScreenTypes::Green, PIScreenTypes::Blue, PIScreenTypes::Cyan, PIScreenTypes::Magenta, PIScreenTypes::Yellow, PIScreenTypes::White, PIScreenTypes::Transparent }
| Color for chars or background.
enum | CharFlag { PIScreenTypes::Bold = 0x1, PIScreenTypes::Blink = 0x2, PIScreenTypes::Underline = 0x4 }
| Flags for chars.
enum | Alignment { PIScreenTypes::Left, PIScreenTypes::Center, PIScreenTypes::Right }
| Alignment.
enum | SizePolicy { PIScreenTypes::Fixed, PIScreenTypes::Preferred, PIScreenTypes::Expanding }
| Size policy.
enum | Direction { PIScreenTypes::Horizontal, PIScreenTypes::Vertical }
| Direction.
enum | FocusFlag { PIScreenTypes::CanHasFocus = 0x1, PIScreenTypes::NextByTab = 0x2, PIScreenTypes::NextByArrowsHorizontal = 0x4, PIScreenTypes::NextByArrowsVertical = 0x8, PIScreenTypes::NextByArrowsAll = NextByArrowsHorizontal | NextByArrowsVertical }
| Focus flags.

## Detailed Description

Types for PIScreen.